<?php
	$slug = $_GET['dois'];
	$sql = $db->prepare('SELECT id, titulo, capa, texto FROM adm_artigos WHERE slugArtigo = :slug AND status = 1');
	$sql->bindParam(':slug', $slug, PDO::PARAM_STR);
	$sql->execute();

	if($sql->rowCount()) {

		$noticia = $sql->fetch();
?>

<h1><?php echo $noticia['titulo']; ?></h1>

<?php
	// Montar galeria de imagens da notícia
	$sql = $db->prepare('SELECT arquivo FROM adm_gallery WHERE id_artigo = :id');
	$sql->bindParam(':id', $noticia['id'], PDO::PARAM_INT);
	$sql->execute();

	$galeria = null;

	if($noticia['capa']) {
		$galeria[] = ['arquivo' => $noticia['capa']];
	}

	if ($sql->rowCount()) {
		$galeria = array_merge($galeria, $sql->fetchAll(PDO::FETCH_ASSOC));
	}

	$qtdImagensGaleria = count($galeria);
	if($qtdImagensGaleria) {
?>

<div class="galeria">
	<div class="imgPrincipalGaleria">
		<?php for($i=0;$i<$qtdImagensGaleria;$i++) { ?>
		<div>
			<a href="/sistema/imagens-site/galerias/<?php echo $galeria[$i]['arquivo']; ?>" rel="prettyPhoto[<?php echo $noticia['titulo']; ?>]">
				<img src="/sistema/imagens-site/galerias/medium/<?php echo $galeria[$i]['arquivo']; ?>">
			</a>
		</div>
		<?php } ?>
	</div>

	<?php if($qtdImagensGaleria > 1) { ?>
	<div class="imgThumbGaleria">
		<?php for($i=0;$i<$qtdImagensGaleria;$i++) { ?>
		<div><img src="/sistema/imagens-site/galerias/thumbs/<?php echo $galeria[$i]['arquivo']; ?>"></div>
		<?php } ?>
	</div>
	<?php } ?>

</div>

<?php } ?>

<p><?php echo $noticia['texto']; ?></p>

<?php } else { include_once '404.php'; }